basement-0.0.16: Foundation scrap box of array & string

License | BSD-style
Maintainer | Foundation
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Basement.NonEmpty

Description

A newtype wrapper around a non-empty Collection.

Synopsis

- newtype NonEmpty a = NonEmpty {
  - getNonEmpty :: a
  }

# Documentation

newtype NonEmpty a #

NonEmpty property for any Collection

Constructors

NonEmpty |

Fields

- getNonEmpty :: a

#### Instances

Instances details

IsList c => IsList (NonEmpty c) # |

Instance details

Defined in Basement.NonEmpty

Associated Types

type Item (NonEmpty c) |
Instance details Defined in Basement.NonEmpty type Item (NonEmpty c) = Item c

Methods

fromList :: [Item (NonEmpty c)] -> NonEmpty c #

fromListN :: Int -> [Item (NonEmpty c)] -> NonEmpty c #

toList :: NonEmpty c -> [Item (NonEmpty c)] #

Show a => Show (NonEmpty a) # |
Instance details Defined in Basement.NonEmpty Methods showsPrec :: Int -> NonEmpty a -> ShowS # show :: NonEmpty a -> String # showList :: [NonEmpty a] -> ShowS #
Eq a => Eq (NonEmpty a) # |
Instance details Defined in Basement.NonEmpty Methods (==) :: NonEmpty a -> NonEmpty a -> Bool # (/=) :: NonEmpty a -> NonEmpty a -> Bool #
type Item (NonEmpty c) # |
Instance details Defined in Basement.NonEmpty type Item (NonEmpty c) = Item c